<?php

namespace App\Models\Webprofile;

use App\Http\Traits\UuidTrait;
use App\Models\Webprofile\De\Information as DeInformation;
use App\Models\Webprofile\En\Information as EnInformation;
use App\Models\Webprofile\Sa\Information as SaInformation;
use App\Models\Webprofile\Zh\Information as ZhInformation;
use Illuminate\Database\Eloquent\Model;

class Information extends Model
{
    use UuidTrait;

    public $incrementing = false;
    protected $table = 'swp_informations';

    protected $guarded = [];

    public function rEn()
    {
        return $this->hasOne(EnInformation::class, 'information_id', 'id');
    }

    public function rDe()
    {
        return $this->hasOne(DeInformation::class, 'information_id', 'id');
    }

    public function rSa()
    {
        return $this->hasOne(SaInformation::class, 'information_id', 'id');
    }

    public function rZh()
    {
        return $this->hasOne(ZhInformation::class, 'information_id', 'id');
    }
}
